<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/rootpass.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
var g_sort = 'license_id12';
var g_ascdesc = 'asc';
var page = 1;
var limit;
var start = 0;
var pagestr = '';
var gexpire = 0;

function nextpage()
{
	page++;
	
	cloud_devlist();
}

function uppage()
{
	page--;
	if (page <= 0)
		page = 1;
	
	cloud_devlist();
}

function button_click()
{
	page = 1;
	
	cloud_devlist();
}

function cloud_devlist()
{
	var grpid = $("#grplisthdr").val();
	var sch = $("#sch").val();
	if (sch == "设备名称或12位编号或83位机器") sch = "";
	
	limit = $("#listnum").val();
	if (limit == "" || isNaN(limit))
		limit = 20;
	
	delCookie("cloud_limit");
	setCookie("cloud_limit", limit);
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', 
			grpid: grpid, 
			sch: sch, 
			sort: g_sort, 
			g_ascdesc: g_ascdesc, 
			page: page, 
			limit: limit,
			expire: gexpire},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no") {
				alert(data.str);
				location.href="cloud_index.php";
				return false;
			}

			updateequalcount(data.equalcount);
			
			cloud_update(data);
			showpagenum(data);
		}
	});
}

function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>&nbsp;&nbsp;';
	
	if (data.fail == null) data.fail = 0;
	
	pagestr += '&nbsp;&nbsp;<a href="javascript:fail_click()" style="color:#f00;">断开：'+data.fail+'条</a>';
	
	$(".cloud-page-bar").html(pagestr);
	
	$(".device-expire").html(data.exp);
}

function showrightkeymenu(license_id12)
{
	$(".rightkeymenu").hide();
	$("#rkm_"+license_id12).show()
}
function hiderightkeymenu(license_id12)
{
	$("#rkm_"+license_id12).hide();
}

var explen = 0;
function cloud_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".cloud_devlist table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '', chkbox;
	
	var loginuser = $("#loginuser").val();
		
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	explen = 0;
	start = (page - 1) * limit;

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
			
		usedayscolor = '#000';
		if (r.license_end == 0) {
			usedays = '';
			state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}else {
			usedays = parseInt((r.license_end - n) / 86400);
			if (usedays <= 7) {
				usedayscolor = '#BDBD6D';
				state_png = '<img src="../img/16.png" title="License即将到期" />';
			}else
				state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}
		if (usedays != "" && usedays >= 0)
			usedays += '天';
		
		if ((r.time+15) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
			usedayscolor = '#f00'
		}
		
		if (r.sys_name == "") r.sys_name = '';
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		
		var sinfo = '<a href="javascript:void(0);" onclick="device_detail(\''+r.sys_name+'\', \''+ r.license_id12+'\', \''+ 
			r.ipaddr+'\', \''+r.license_start_str+'\', '+ '\''+r.license_end_str+'\', \''+r.license_id83+
			'\', '+r.max_flowcont+', '+ r.max_ipcnt+', '+r.webport+', '+r.sshport+', \''+r.localip+ 
			'\', \''+r.outip+'\', \''+r.ipaddr+'\')">设备信息</a>';
		var setstr = '<a href="javascript:openset(\''+r.sys_name+'\', \''+ r.license_id12+'\', '+r.grpid+', \''+r.map_address+'\')">设置</a>';

		yunweilog = '<a href="javascript:device_myrecord(\''+r.license_id12+'\', \''+r.sys_name+'\');void(0)">运维日志</a>';
			
		sysname = '<div style="position:relative;" onmouseout="hiderightkeymenu(\''+r.license_id12+'\')" onmouseover="showrightkeymenu(\''+r.license_id12+'\')">'+ 
			'<a onclick="openssh_m(\''+r.license_id12+'\', \''+ r.localip+'\', 1, 0)">'+r.sys_name+'</a>';
		sysname += '<div class="rightkeymenu my-div-shadow" id="rkm_'+r.license_id12+'">'+
			'<ul>'+
			'<li><a href="javascript:openssh_m(\''+r.license_id12+'\', \''+ r.localip+'\', 1, 0)">HTTPS</a></li>'+
			'<li><a href="javascript:openssh_m2(\''+r.license_id12+'\', \''+ r.localip+'\', 0, 1)">SSH</a></li>'+
			'<li>'+sinfo+'</li>'+
			'<li>'+yunweilog+'</li>'+
			'</ul></div></div>';
		
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";

		chkbox = '<input type="checkbox" value="'+r.license_id12+'" cname="'+r.sys_name+'" name="mypa" />';
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			for (j = 0; j < 14; j++)
				tdobj.eq(j).css("color", usedayscolor);
			
			tdobj.eq(0).html((start+i+1));
			tdobj.eq(1).html(chkbox);
			tdobj.eq(2).html(r.license_id12);
			tdobj.eq(3).html(sysname);
			tdobj.eq(4).html(state_png);
			tdobj.eq(5).html(r.grpname);
			tdobj.eq(6).html(r.time_str);
			tdobj.eq(7).html(usedays);
			tdobj.eq(8).html(r.users+'/'+r.max_users+'/'+r.max_ipcnt);
			tdobj.eq(9).html(r.flowcont+'/'+parseInt(r.max_flowcont/1000)+'K');
			tdobj.eq(10).html(numberformats(r.upbps)+'/'+numberformats(r.downbps));
			tdobj.eq(11).html(r.sys_run);
			tdobj.eq(12).html(r.temp+'°C/'+r.cpu+'%');
			tdobj.eq(13).html(r.version);
			tdobj.eq(14).html(setstr);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center" style="color:'+usedayscolor+'">'+(start+i+1)+'</td>'+
				'<td class="txt-center">'+chkbox+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ r.license_id12+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ sysname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+state_png+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+ r.grpname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+r.time_str+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ usedays +'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.users+'/'+r.max_users+'/'+r.max_ipcnt+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.flowcont+'/'+parseInt(r.max_flowcont/1000)+'K</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ numberformats(r.upbps)+'/'+numberformats(r.downbps)+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.sys_run+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.temp+'°C/'+r.cpu+'%</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.version+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+setstr+'</td>'+
				'</tr>';
			$(s).appendTo(".cloud_devlist table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".cloud_devlist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function fail_click()
{
	g_ascdesc = "desc";
	
	hd_sort("time");
}

function showexpire()
{
	if (gexpire == 0)
		gexpire = 1;
	else
		gexpire = 0;
	cloud_devlist();
}

function opengrpdialog()
{
	$("#grp-dialog").dialog({
		width: 400,
		height:540,
		buttons:[{
			text: "添加组",
			click: function(){
				grpshow('');
			}
		}]
	});

	grpdialog_update();
}

function grpdialog_update()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list, num = 0;

			list = document.getElementById("grp-table");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				if (r.grpid == "10000")
					continue;

				num++;

				obj = list.insertRow(-1);

				col = obj.insertCell(0);
				col.setAttribute("align", "center");
				col.innerHTML = num;

				col = obj.insertCell(1);
				col.setAttribute("align", "center");
				col.innerHTML = r.grpname;

				mk = '<a href="javascript:editgrp('+r.grpid+', \''+r.grpname+'\')">编辑</a>';
				mk += '&nbsp;&nbsp;';
				mk += '<a href="javascript:deletegrp('+r.grpid+', \''+r.grpname+'\')">删除</a>';
				col = obj.insertCell(2);
				col.setAttribute("align", "center");
				col.innerHTML = mk;
			}
		}
	})
}

function editgrp(grpid, grpname)
{
	$("#editgrp-dialog").dialog({
		width: 350,
		height:160,
		buttons:[{
			text: "确定",
			click: function(){
				editgrp_handle(grpid);
			}
		}]
	});

	$("#edit_grpname").val(grpname);
}

function editgrp_handle(grpid)
{
	if (!confirm("确认要修改此组的名称吗"))
		return false;

	grpname = $("#edit_grpname").val();
	grpname = TrimAll(grpname);
	if (grpname == "") {
		alert("请输入正确的组名称");
		return false;
	}

	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grprename', grpid: grpid, grpname: grpname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#editgrp-dialog").dialog("close");
				grpdialog_update();
			}
		}
	})
}

function clearequalinfo()
{
	$.ajax({
		url: 'system_handle.php',
		data:{type: 'clearequalinfo'},
		type: 'post',
		success: function(json) {
			getexpirelen("panabit");
			showequaldevice();
		}
	})
}

function showequaldevice()
{
	$("#showequaldialog").dialog({
		width: 700,
		height:340,
		buttons:[{
			text: "清除记录",
			click: function(){
				clearequalinfo();
			}
		}]
	});

	$.ajax({
		url: 'system_handle.php',
		data:{type: 'showequalcount'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			list = document.getElementById("device-equal-list");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);

				col = obj.insertCell(0);
				col.setAttribute("align", "center");
				col.innerHTML = i+1;

				col = obj.insertCell(1);
				col.setAttribute("align", "left");
				col.innerHTML = r.license_id12;

				col = obj.insertCell(2);
				col.setAttribute("align", "left");
				if (r.sys_name2 != "")
				col.innerHTML = r.sys_name2;
				else
				col.innerHTML = r.sys_name;

				col = obj.insertCell(3);
				col.setAttribute("align", "left");
				col.innerHTML = r.equtime;

				col = obj.insertCell(4);
				col.setAttribute("align", "left");
				col.innerHTML = r.info;
			}

		}
	});
}

function enterEvent()
{
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		button_click();
	else return false;
}

function sshport_list()
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'sshport_list'},
		dataType:'json',
		type:'post',
		success:function(data){
			sshport_update(data);
		}
	})
}

function sshport_update(json)
{
	var list = document.getElementById("sshportinfo");
	while (list.rows.length > 1) 
		list.deleteRow(1);

	var len = 0;
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		if (r.cliip != "localhost")
			continue;

		len++;

		obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.innerHTML = i+1;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.sysname;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.bigport;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.minport;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.borntime;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.usetime+'s';
		cell = obj.insertCell(pos++);
		cell.innerHTML = '<a href="javascript:sshport_kill(\''+r.license_id12+'\', \''+r.cliip+'\', '+r.bigport+', '+r.minport+')"><img src="../img/12.png" width="15px" title="停止映射" /></a>';
	}

	if (json.rows.length > 0) {
		$("#remote-device-btn").val("远程中设备("+len+")");
		$("#remote-device-btn").css("color", "#f00");
	}
	else {
		$("#remote-device-btn").val("远程中设备");
		$("#remote-device-btn").css("color", "#000");
	}
}

function sshport_kill(license_id12, cliip, bigport, minport)
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'sshport_kill', license_id12:license_id12, cliip:cliip, bigport:bigport, minport:minport},
		type:'post',
		success:function(data){
			sshport_list();
		}
	})
}

function sshportinfo_close()
{
	$("#sshportinfo_outer").hide();
}

function sshportinfo_open()
{
	$("#sshportinfo_outer").show();
}

function device_transfer()
{
	var lic = '', arr = [];
	$("[name='mypa']").each(function(){
		if ($(this).attr("checked"))
			arr.push($(this).val());
	});
	if (arr.length != 0)
		lic = arr.join(',');

	if (lic == "") {
		alert("请选择要转移的设备");
		return false;
	}

	$("#newcloud-dialog").dialog({
		width: 420,
		buttons:[{
			text: "确定",
			click: function(){
				device_transfer_handle();
			}
		}, {
			text: "取消",
			click: function(){
				$(this).dialog("close");
			}
		}]
	});
}

function device_transfer_handle()
{
	var lic = '', arr = [];
	$("[name='mypa']").each(function(){
		if ($(this).attr("checked"))
			arr.push($(this).val());
	});
	if (arr.length != 0)
		lic = arr.join(',');

	if (lic == "") {
		alert("请选择要转移的设备");
		return false;
	}

	var cloudip = $("#newcloud_ip").val();
	cloudip = TrimAll(cloudip);
	if (cloudip == "") {
		alert("请输入新的云平台地址");
		return false;
	}

	if (!confirm("确定要转移选择的设备吗"))
		return false;

	cloud_tips_show();
	$.ajax({
		url:"system_handle_ex.php",
		data: {type: "device_transfer_handle", lic: lic, cloudip: cloudip},
		type:"post",
		dataType:"json",
		success: function(json) {
			cloud_tips_hide();
			$("#newcloud-dialog").dialog("close");
		}
	});
}

</script>
</script>
</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_ex");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-bd-nav">
				<form>
					<div class="form-group">
						刷新&nbsp;
						<select id="bdupdateint" class="form-control">
							<option value="0">不刷新</option>
							<option value="5">5秒</option>
							<option value="15" selected>15秒</option>
							<option value="60">60秒</option>
						</select>
					</div>
					<div class="form-group">
						显示组&nbsp;
						<select id="grplisthdr" class="form-control">
								<option value="0">所有组</option>
							</select>
					</div>
					<div class="form-group">
						每页&nbsp;
						<input type="text" value="20" id="listnum" size="1" class="form-group-text" /> 条
					</div>
					<div class="form-group">
						<input type="text" placeholder="请输入设备编号或名称进行模糊查询" id="sch" size="45" class="form-group-text" onkeyup="enterEvent()" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="button_click()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-btn-delete">
						<input type="button" value="删除选中" onclick="device_delete(0)" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-btn-grp">
						<input type="button" value="设备组" onclick="opengrpdialog()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-btn-root">
						<input type="button" value="ROOT密码" onclick="rootpass()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-btn-root">
						<input type="button" value="设备转移" onclick="device_transfer()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-btn-root">
						<input type="button" id="remote-device-btn" value="远程中设备" onclick="sshportinfo_open()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group" title="license配置不够，用户数或连接数到最大数了" onclick="showequaldevice()">
						<span style="float:left;display:block;width:20px;height:30px;line-height:30px;">
							<div class="showequalcount show-expire show-expire-background1">0</div>
						</span>
					</div>
					<div style="float:right;" class="form-group" title="即将到期的设备数" onclick="showexpire()">
						<span style="float:left;display:block;width:20px;height:30px;line-height:30px;">
							<div class="device-expire show-expire">0</div>
						</span>
					</div>
				</form>
			</div>
			<div class="cloud_devlist">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th style="width:30px;" align="center">
							<input type="checkbox" name="allpa" />
						</th>
						<th align="left" width="140px"><a href="javascript:hd_sort('license_id12')">编号</a></th>
						<th align="left" style="width:240px;"><a href="javascript:hd_sort('name')">名称</a></th>
						<th align="center" width="40px">状态</th>
						<th align="center" width="90px">属组</th>
						<th align="center" width="120px"><a href="javascript:hd_sort('time')">最后在线</a></th>
						<th align="right" width="70px"><a href="javascript:hd_sort('license_end')">有效期</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort('users')">用户(C/M/F)</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort('flowcont')">连接数</a></th>
						<th align="right" width="120px"><a href="javascript:hd_sort('upbps')">上行</a>/<a href="javascript:hd_sort('downbps')">下行(bps)</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort('sys_run')">运行</a></th>
						<th align="right" width="70px"><a href="javascript:hd_sort('temp')">温度</>/<a href="javascript:hd_sort('cpu')">CPU</a></th>
						<th align="right" width="220px"><a href="javascript:hd_sort('version')">当前版本</a></th>
						<th style="width:50px;" align="center">操作</th>
					</tr>
				</table>
			</div>
			<div class="cloud-page-bar">
			</div>
		</div>
	</div>
</div>
<div id="newcloud-dialog" style="display:none;" title="设备转移">
	<br/>
	<div style="float:left; width:150px; margin-left:15px;">请输入新的云平台地址</div>
	<div style="float:left; width:170px;">
		<input type="text" value="" id="newcloud_ip" style="width:170px; padding:3px 0;" />
	</div>
</div>
<div id="editgrp-dialog" style="display:none;" title="编辑">
	<br/>
	<div style="float:left; width:100px; margin-left:15px;">请输入新的名称</div>
	<div style="float:left; width:170px;">
		<input type="text" value="" id="edit_grpname" style="width:170px; padding:3px 0;" />
	</div>
</div>
<div id="grp-dialog" style="display:none;" title="设备组" class="topapp-list-table">
	<div>
		<div style="float:left; padding:3px 0; margin: 0 0 5px 0;">设备默认组</div>
		<div style="float:left; margin: 0 0 5px 0;">
			<select id="defgrp" style="padding:3px 0; width:250px; margin-left:20px;">
				<option value="10000">空组</option>
<?php
$defgrp = 10000;
$cmd = DATAEYE." device stat grpid= usergrp=";
exec($cmd, $out, $ret);
foreach($out as $val) {
	if (strstr($val, "device_defgrp") != false) {
		$ds = explode('=', trim($val));
		$defgrp = $ds[1];
	}
}
if (($conn = my_mysql_connect()) != false) {
	$sql = "select grpid, grpname from palog.cloud_grp";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			if ($row[0] == $defgrp)
				echo '<option value="'.$row[0].'" selected>'.iconv("gb2312", "utf-8", $row[1]).'</option>';
			else
				echo '<option value="'.$row[0].'">'.iconv("gb2312", "utf-8", $row[1]).'</option>';
		}
	}
	mysql_close();
}
?>
			</select>
		</div>
	</div>
	<div class="clearfloat"></div>
	<table style="width:100%;" id="grp-table">
		<tr>
			<th width="50px">序号</th>
			<th>名称</th>
			<th width="100px">操作</th>
		</tr>
	</table>
</div>
<div class="newpassword" style="display:none;" title="设置root密码">
	<div style="padding:10px;">
		新的密码：<input type="password" value="" id="newrootpass" style="width:150px;" />
	</div>
	<div style="padding:10px;">
		<input type="checkbox" name="adminpass_enable" /> 修改https的admin密码
	</div>
</div>

<div id="showequaldialog" style="display:none;" title="License溢出" class="cloud-common">
	<table id="device-equal-list" style="width:100%;">
		<tr>
			<th width="50px">序号</th>
			<th class="txt-left">设备编号</th>
			<th class="txt-left">设备名称</th>
			<th class="txt-left">采集时间</th>
			<th width="200px" class="txt-left">日志</th>
		</tr>
	</table>
</div>
<div id="sshportinfo_outer" style="position:absolute;right:0;top:45px;bottom:0px;background:#000;display:none;overflow:auto;overflow:auto;">
	<div style="position:relative;height:30px;color:#fff;line-height:30px;font-size:12px;padding-left:10px;border-bottom:1px solid #ddd;margin-bottom:10px;">
		<div style="float:left;">远程中设备</div>
		<div style="float:right;margin-right:20px;"><a href="javascript:sshportinfo_close()">X</a></div>
	</div>
	<div style="position:relative;font-size:11px;padding-left:10px;margin-bottom:10px;color:#ddd;">
		<table id="sshportinfo" width="100%">
			<tr>
				<td width="30px">序号</td>
				<td width="100px">主机名</td>
				<td width="60px">外网端口</td>
				<td width="60px">内网端口</td>
				<td width="80px">映射时间</td>
				<td width="60px">在线时间</td>
				<td width="30px">操作</td>
			</tr>
		</table>
	</div>
</div>
<div id="usragp-showdevice-outer" style="display:none;" title="同步设备" class="cloud_main_table">
	<table id="usragp_showdevice_table">
		<tr>
			<th width="30px">序号</th>
			<th width="150px" align="left">设备编号</th>
			<th width="150px" align="left">设备名称</th>
			<th align="left">设备状态</th>
		</tr>
	</table>
</div>
<div id="usragp-syn-outer" style="display:none;" title="选择设备" class="cloud_main_table">
	<table id="usragp_syn_table">
		<tr>
			<th width="30px">序号</th>
			<th width="30px" align="left"><input type="checkbox" name="usragp_device_mulsel" /></th>
			<th width="120px"><input type="text" value="" placeholder="编号" id="usragp_id12" style="width:100%;height:20px;padding:0;" /></th>
			<th><input type="text" value="" placeholder="名称" id="usragp_name" style="width:100%; height:20px;padding:0;" /></th>
			<th align="center" width="100px">
				<select id="usragp_grpid" style="width:150px;height:21px;" onchange="usragp_device_list()">
					<option value="0">所有组</option>
				</select>
			</th>
			<th width="150px" align="left">
				<select id="usragp_version" style="width:130px;height:21px;" onchange="usragp_device_list()"></select>
			</th>
		</tr>
	</table>
</div>
<div id="cloud-device-info-outer" style="display:none;" title="设备信息">
	<div class="als-nav-header-small">
		<ul>
			<li class="active nav-menu"><a href="javascript:cloud_nav_change('cloud-device-info-outer', 0)">设备信息</a></li>
			<li class="nav-menu"><a href="javascript:cloud_nav_change('cloud-device-info-outer', 1)">自定义协议组</a></li>
			<li class="nav-menu"><a href="javascript:cloud_nav_change('cloud-device-info-outer', 2)">自定义协议</a></li>
		</ul>
       	</div>
	<input type="hidden" id="usragp_license_id12" value="">
	<div id="cloud-device-info" class="content"></div>
	<div id="cloud-device-usragp" style="display:none" class="content">
		<div id="usragp" class="cloud_main_table" style="text-align:center;margin-top:10px;">
			<table id="usragp_table">
				<tr>
					<th width="30px">序号</th>
					<th width="30px">
						<input type="checkbox" name="usragp_mulsel" />
					</th>
					<th width="150px" align="left">群组名称</th>
					<th align="left">群组成员</th>
				</tr>
			</table>
		</div>
	</div>
	<div id="cloud-device-usrapp" style="display:none" class="content">
		<div id="usrapp" class="cloud_main_table" style="text-align:center;margin-top:10px;">
			<table id="usrapp_table">
				<tr>
					<th width="30px">序号</th>
					<th width="30px">
						<input type="checkbox" name="usrapp_mulsel" />
					</th>
					<th width="150px" align="left">协议名称</th>
					<th align="center">节点生存期</th>
					<th align="center">TCP端口</th>
					<th align="center">UDP端口</th>
				</tr>
			</table>
		</div>
	</div>
</div>

<input type="hidden" value="<?=$_SESSION['cloud_username']?>" id="loginuser" />
<script style="text/javascript">
function cloud_nav_change(parentid, pos)
{
	$("#"+parentid+" .content").hide();
	$("#"+parentid).find(".content").eq(pos).show();
	$("#"+parentid+" .nav-menu").removeClass("active");
       	$("#"+parentid).find(".nav-menu").eq(pos).addClass("active");

	switch(pos) {
	case 1:
		cloud_device_usragp_list();
		break;
	case 2:
		cloud_device_usrapp_list();
		break;
	}
}

function cloud_device_usrapp_list()
{
	var license_id12 = $("#usragp_license_id12").val();

	$.ajax({
		url:'../Maintain/ajax_usragp.php',
		data:{action:'usrapp_list', license_id12: license_id12},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list = document.getElementById("usrapp_table");
			while(list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.innerHTML = i + 1;

				cell = obj.insertCell(pos++);
				cell.innerHTML = '<input type="checkbox" value="" name="usrapp_onesel" app_name="'+r.name+'" app_cname="'+r.cname+'" nodettl="'+r.nodettl+'" tports="'+r.tports+'" uports="'+r.uports+'" />';

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.cname;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = r.nodettl;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				if (r.tports != "NONE" && r.tports != "none" && r.tports != "")
					cell.innerHTML = r.tports;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				if (r.uports != "NONE" && r.uports != "none" && r.uports != "")
					cell.innerHTML = r.uports;
			}
		}
	})
}

function cloud_device_usragp_list()
{
	var license_id12 = $("#usragp_license_id12").val();

	$.ajax({
		url:'../Maintain/ajax_usragp.php',
		data:{action:'usragp_list', license_id12: license_id12},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list = document.getElementById("usragp_table");
			while(list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.innerHTML = i + 1;

				cell = obj.insertCell(pos++);
				cell.innerHTML = '<input type="checkbox" value="" name="usragp_onesel" agp_name="'+r.name+'" agp_cname="'+r.cname+'" son_name="'+r.son_name+'" />';

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.cname;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.son_cname;
			}
		}
	})
}

if (getCookie("cloud_limit") && getCookie("cloud_limit") != "") {
	$("#listnum").val(getCookie("cloud_limit"));
	limit = getCookie("cloud_limit");
}

$("[name='usragp_device_mulsel']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='usragp_device_onesel']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='usragp_device_onesel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

$("[name='usragp_mulsel']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='usragp_onesel']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='usragp_onesel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});
$("[name='usrapp_mulsel']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='usrapp_onesel']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='usrapp_onesel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

grplist(2, 0);
cloud_devlist();

cloud_int = setInterval(function(){cloud_devlist();}, 15000);
$("#bdupdateint").change(function(){
	clearInterval(cloud_int);
	if ($(this).val() != "0")
		cloud_int = setInterval(function(){cloud_devlist()}, parseInt($(this).val()) * 1000);
})

$("#grplisthdr").change(function(){page = 1;cloud_devlist();});

$("[name='allpa']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='mypa']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='mypa']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

$("#defgrp").change(function(){
	var grpid = $(this).val();
	if (!confirm("确定要修改默认群组吗"))
		return false;
	$.ajax({
		url: "system_handle_ex.php",
		data: {type: "cloud_setdefgrp", defgrp: grpid},
		type: "post",
		dataType:"json",
		success: function(json) {
			alert("操作成功");
		}
	});
});

if ($("#loginuser").val() != "admin") {
	$(".device-btn-grp").remove();
}

cpumem();
setInterval(cpumem, 60000);

ixc_stat();

sshport_list();
setInterval(sshport_list, 5000);

$("body").keydown(function() {
	enterEvent(); 
});
</script>
</body>
</html>
