<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
function addhost()
{
	$("#intool-add-host").dialog({
		title:'添加主机',
		width:400,
		buttons:[{
			text: "提交",
			click: function(){
				addhost_handle();
			}
		},{
			text: "取消",
			click: function(){
				$(this).dialog("close");
			}
		}]
	});
}

function addhost_handle()
{
	var hostname = $("#hostname").val();
	hostname = TrimAll(hostname);
	var hostip = $("#hostip").val();
	hostip = TrimAll(hostip);

	var webport = $("#webport").val();
	webport = TrimAll(webport);
	var httpport = $("#httpport").val();
	httpport = TrimAll(httpport);
	var sshport = $("#sshport").val();
	sshport = TrimAll(sshport);
	var rdpport = $("#rdpport").val();
	rdpport = TrimAll(rdpport);
	if (webport == "") webport = 0;
	if (httpport == "") httpport = 0;
	if (sshport == "") sshport = 0;
	if (rdpport == "") rdpport = 0;

	var hostgrp = $("#hostgrp").val();
	var centercode = $("#centercode").val();
	var centername = $("#centername").val();
	centername = TrimAll(centername);

	if (hostname == "" || centercode == "" || hostip == "" || centername == "") {
		alert("请输入完整的信息");
		return false;
	}
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_addhost', hostname:hostname, hostip:hostip, hostgrp:hostgrp, centercode:centercode, webport:webport, centername:centername, sshport:sshport, rdpport:rdpport, httpport:httpport},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#intool-add-host").dialog("close");
				gethost();
			}
		}
	})
}

function gethost()
{
	var hosttxt = TrimAll($("#hosttxt").val());
	var selgrps = $("#selgrps").val();

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_hostlist', hosttxt: hosttxt, selgrps: selgrps},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list = document.getElementById('intool-host-list');
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				trbg = '';
				if (i % 2 == 1)
				       	trbg = 'currtr';

				obj = list.insertRow(-1);
				obj.setAttribute("class", trbg);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i+1;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.hostip+'<span style="margin-left:10px;color:#666;">'+r.hostname+'</span>';
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.hostgrp;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.centername;

				var m = '';
				if (r.httpport != "0")
					m = '<a href="javascript:httplogin(\''+r.hostip+'\', \''+r.localip+'\', \''+r.centercode+'\', '+r.httpport+', '+r.acctimes+')">HTTP</a>';
				else
					m += '<span style="color:#ddd">HTTP</span>';
				if (r.webport != "0")
					m += '&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:httpslogin(\''+r.hostip+'\', \''+r.localip+'\', \''+r.centercode+'\', '+r.webport+', '+r.acctimes+')">HTTPS</a>';
				else
					m += '&nbsp;&nbsp;|&nbsp;&nbsp;<span style="color:#ddd">HTTPS</span>';
				if (r.sshport != "0")
					m += '&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:sshlogin(\''+r.hostip+'\', \''+r.localip+'\', \''+r.centercode+'\', '+r.sshport+', '+r.acctimes+')">SSH</a>';
				else
					m += '&nbsp;&nbsp;|&nbsp;&nbsp;<span style="color:#ddd">SSH</span>';
				if (r.rdpport != "0")
				m += '&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:rdplogin(\''+r.hostip+'\', \''+r.localip+'\', \''+r.centercode+'\', '+r.rdpport+', '+r.acctimes+')">RDP</a>';
				else
					m += '&nbsp;&nbsp;|&nbsp;&nbsp;<span style="color:#ddd">RDP</span>';
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = m;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.acctimes;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = r.lasttime;

				m = '<a href="javascript:edithost('+r.id+', \''+r.hostname+'\', \''+r.hostip+'\', '+
					r.webport+', '+r.httpport+', '+r.sshport+', '+r.rdpport+', \''+r.hostgrpid+'\', \''+r.centercode+'\', \''+r.centername+'\')">编辑</a>';
				m += '&nbsp;&nbsp;|&nbsp;&nbsp;<a href="javascript:deletehost('+r.id+')">删除</a>';
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = m;
			}
		}
	})
}

function rdplogin(hostip, localip, centercode, hostport, acctimes)
{
	cloud_tips_show();

	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', maphost:hostip, licenseid:centercode, hostport:hostport, rdpenable:1, inacc:1, acctimes:acctimes},
		type:'post',
		dataType:'json',
		success:function(data) {
			cloud_tips_hide();
			as = (data.str).split('-');
			alert("映射已完成，请双击执行下载的bat文件");
			window.open("../download/mstsc_"+as[0]+".bat", "_blank");
		}
	})
}

function sshlogin(hostip, localip, centercode, hostport, acctimes)
{
	cloud_tips_show();

	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', maphost:hostip, licenseid:centercode, hostport:hostport, sshenable:1, inacc:1, acctimes:acctimes},
		type:'post',
		dataType:'json',
		success:function(data) {
			cloud_tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes") {
				window.open("ssh://"+localip+":"+(parseInt(as[0])+1), "_blank");
			}
			else
				alert(data.str);
		}
	})
}

function httplogin(hostip, localip, centercode, hostport, acctimes)
{
	cloud_tips_show();

	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', maphost:hostip, licenseid:centercode, hostport:hostport, webenable:1, inacc:1, acctimes:acctimes},
		type:'post',
		dataType:'json',
		success:function(data) {
			cloud_tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes")
				window.open("http://"+localip+":"+as[0], "_blank");
			else
				alert(data.str);
		}
	})
}

function httpslogin(hostip, localip, centercode, hostport, acctimes)
{
	cloud_tips_show();

	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', maphost:hostip, licenseid:centercode, hostport:hostport, webenable:1, inacc:1, acctimes:acctimes},
		type:'post',
		dataType:'json',
		success:function(data) {
			cloud_tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes")
				window.open("https://"+localip+":"+as[0], "_blank");
			else
				alert(data.str);
		}
	})
}

function edithost(id, hostname, hostip, webport, httpport, sshport, rdpport, hostgrpid, centercode, centername)
{
	$("#intool-add-host").dialog({
		width: 400,
		title:'编辑主机',
		buttons:[{
			text: "提交",
			click: function(){
				edithost_handle(id);
			}
		},{
			text: "取消",
			click: function(){
				$(this).dialog("close");
			}
		}]
	});

	$("#hostname").val(hostname);
	$("#hostip").val(hostip);
	$("#webport").val(webport);
	$("#httpport").val(httpport);
	$("#sshport").val(sshport);
	$("#rdpport").val(rdpport);
	$("#hostgrp").val(hostgrpid);
	$("#centercode").val(centercode);
	$("#centername").val(centername);
}

function edithost_handle(id)
{
	var hostname = $("#hostname").val();
	hostname = TrimAll(hostname);
	var hostip = $("#hostip").val();
	hostip = TrimAll(hostip);
	var webport = $("#webport").val();
	webport = TrimAll(webport);
	var httpport = $("#httpport").val();
	httpport = TrimAll(httpport);
	var sshport = $("#sshport").val();
	sshport = TrimAll(sshport);
	var rdpport = $("#rdpport").val();
	rdpport = TrimAll(rdpport);
	var hostgrp = $("#hostgrp").val();
	var centercode = $("#centercode").val();
	var centername = $("#centername").val();
	centername = TrimAll(centername);

	if (hostname == "" || centercode == "" || hostip == "" || centername == "") {
		alert("请输入完整的信息");
		return false;
	}
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_edithost', id:id, hostname:hostname, hostip:hostip, hostgrp:hostgrp, centercode:centercode, webport:webport, sshport: sshport, rdpport:rdpport, centername:centername, httpport:httpport},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#intool-add-host").dialog("close");
				gethost();
			}
		}
	})
}

function deletehost(id)
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_deletehost', id:id},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				gethost();
			}
		}
	})
}

function grouplist()
{
	$("#intool-group-list").dialog({
		width: 400,
		height:440,
		title:'主机组',
		buttons:[{
			text: "添加组",
			click: function(){
				addgroup();
			}
		}]
	});

	getgroup();
}

function getgroup()
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_grouplist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			var list = document.getElementById('grp-table');
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i+1;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.name;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = '<a href="javascript:deletegroup('+r.id+')">删除</a>';
			}
		}
	})
}

function deletegroup(id)
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_deletegroup', id:id},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				getgroup();
			}
		}
	})
}

function addgroup()
{
	$("#intool-add-group").dialog({
		width: 350,
		height:160,
		title:'添加组',
		buttons:[{
			text: "提交",
			click: function(){
				addgroup_handle();
			}
		}, {
			text: "取消",
			click: function(){
				$(this).dialog("close");
			}
		}]
	});
}

function addgroup_handle()
{
	var grpname = $("#grpname").val();
	grpname = TrimAll(grpname);
	if (grpname == "") {
		alert("请输入正确的组名称");
		return false;
	}

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'intool_addgroup', grpname:grpname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#intool-add-group").dialog("close");
				getgroup();
			}
		}
	});
}

function enterevent()
{
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		gethost();
	else return false;
}

function sshport_list()
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'sshport_list'},
		dataType:'json',
		type:'post',
		success:function(data){
			sshport_update(data);
		}
	})
}

function sshport_update(json)
{
	var list = document.getElementById("sshportinfo");
	while (list.rows.length > 1) 
		list.deleteRow(1);

	var len = 0;
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		if (r.cliip == "localhost")
			continue;

		len++;

		obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.hostname;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.bigport;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.minport;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.borntime;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.usetime+'s';
		cell = obj.insertCell(pos++);
		cell.innerHTML = '<a href="javascript:sshport_kill(\''+r.license_id12+'\', \''+r.cliip+'\', '+r.bigport+', '+r.minport+')"><img src="../img/12.png" width="15px" title="停止映射" /></a>';
	}
	
	if (json.rows.length > 0) {
		$("#remote-device-btn").val("远程中设备("+len+")");
		$("#remote-device-btn").css("color", "#f00");
	}
	else {
		$("#remote-device-btn").val("远程中设备");
		$("#remote-device-btn").css("color", "#000");
	}
}

function sshport_kill(license_id12, cliip, bigport, minport)
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'sshport_kill', license_id12:license_id12, cliip:cliip, bigport:bigport, minport:minport},
		type:'post',
		success:function(data){
			sshport_list();
		}
	})
}

function sshportinfo_close()
{
	$("#sshportinfo_outer").hide();
}

function sshportinfo_open()
{
	$("#sshportinfo_outer").show();
}

</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_intool");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li class="active"><a href="cloud_intool.php">内网访问</a></li>
				</ul>
		       	</div>
			<div style="margin-top:10px;">
			<div class="cloud-bags-upload-form">
				<select id="selgrps" style="height:25px;line-height:25px;" onchange="gethost()">
					<option value="0">所有组</option>
<?php
		if (($conn = my_mysql_connect()) != false) {
			$myintoolgrpid = '';
			$loginuser = $_SESSION["cloud_username"];
			if ($loginuser != "admin") {
				$sql = "select intool_grpids from palog.cloud_users where username='$loginuser'";
				if (($result = mysql_query($sql)) != false) {
					while ($row = mysql_fetch_row($result)) {
						$myintoolgrpid = $row[0];
					}
				}
		       	}

			$grps = array();
			if ($loginuser != "admin")
				$sql = "select id, name from palog.intool_grp where id in($myintoolgrpid)";
			else
				$sql = "select id, name from palog.intool_grp";
			if (($result = mysql_query($sql)) != false) {
				while ($row = mysql_fetch_row($result)) {
					array_push($grps, array("id"=>$row[0], "name"=>$row[1]));
					echo '<option value="'.$row[0].'">'.$row[1].'</option>';
				}
			}
			mysql_close();
		}
?>
				</select>
				<input type="text" id="hosttxt" style="width:250px; line-height:21px;" placeholder="输入主机IP/主机名" onkeyup="enterevent()" />
				<input type="button" value="查询" style="line-height:21px;" onclick="gethost()" class="btn-default" />
			</div>
			<div style="float:right;padding:0 5px;">
<?php
		if ($loginuser == "admin") {
			echo '<input type="button" value="主机组" onclick="grouplist()" class="btn-default" />';
		}
?>
			<input type="button" value="添加主机" onclick="addhost()" class="btn-default" />
			<input type="button" id="remote-device-btn" value="远程中设备" onclick="sshportinfo_open()" class="btn-default" />
			</div>
			<div style="clear:both;"></div>
			</div>
			<div class="upbags-list">
				<table id="intool-host-list" style="width:100%;" cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">序号</th>
						<th align="left">主机</th>
						<th align="left">主机组</th>
						<th align="left">跳板机</th>
						<th align="center">访问</th>
						<th align="right">次数</th>
						<th align="center" width="100px">最近访问</th>
						<th style="width:100px;" align="center">操作</th>
					</tr>
				</table>
				<div class="cloud-page-bar"></div>
			</div>
		</div>
	</div>
</div>
<div id="intool-group-list" style="display:none;" class="topapp-list-table">
	<table style="width:100%;" id="grp-table">
		<tr>
			<th>编号</th>
			<th align="left">组名称</th>
			<th width="60px">操作</th>
		</tr>
	</table>
</div>
<div id="intool-add-group" style="display:none;">
	<ul>
		<li>
			<label for="grpname">主机组名称</label>
			<input type="text" id="grpname" style="width:170px" />
		</li>
	</ul>
</div>

<div id="intool-add-host" style="display:none;">
	<table width="100%" height="220px">
		<tr>
			<td>主机名称</td>
			<td><input type="text" id="hostname" style="width:170px" /></td>
		</tr>
		<tr>
			<td>主机IP</td>
			<td><input type="text" id="hostip" style="width:170px" /></td>
		</tr>
		<tr>
			<td>HTTP端口</td>
			<td><input type="text" id="httpport" value="80" style="width:170px" /> 不需要访问可为0</td>
		</tr>
		<tr>
			<td>HTTPS端口</td>
			<td><input type="text" id="webport" value="443" style="width:170px" /> 不需要访问可为0</td>
		</tr>
		<tr>
			<td>SSH端口</td>
			<td><input type="text" id="sshport" value="22" style="width:170px" /> 不需要访问可为0</td>
		</tr>
		<tr>
			<td>RDP端口</td>
			<td><input type="text" id="rdpport" value="3389" style="width:170px" /> 不需要访问可为0</td>
		</tr>
		<tr>
			<td>主机所属组</td>
			<td>
				<select id="hostgrp" style="width:170px;">
<?php
		foreach($grps as $val) 
			echo '<option value="'.$val['id'].'">'.$val["name"].'</option>';
?>
				</select>
			</td>
		</tr>
		<tr>
			<td>跳板机</td>
			<td>
				<input type="text" id="centername" style="width:170px" onkeyup="getcentername()" />
				<input type="hidden" id="centercode" value="" />
			</td>
		</tr>
	</table>
	<table width="100%" class="nameouter-table" style="display:none;">
		<tr>
			<td width="72px"></td>
			<td>
				<div id="nameouter">
			       	</div>
			</td>
		</tr>
	</table>
</div>

<div id="sshportinfo_outer" style="position:absolute;right:0;top:45px;bottom:0px;background:#000;display:none;">
	<div style="position:relative;height:30px;color:#fff;line-height:30px;font-size:12px;padding-left:10px;border-bottom:1px solid #ddd;margin-bottom:10px;">
		<div style="float:left;">远程中设备</div>
		<div style="float:right;margin-right:20px;"><a href="javascript:sshportinfo_close()">X</a></div>
	</div>
	<div style="position:relative;font-size:11px;padding-left:10px;margin-bottom:10px;color:#ddd;">
		<table id="sshportinfo" width="100%">
			<tr>
				<td width="100px">主机名</td>
				<td width="60px">外网端口</td>
				<td width="60px">内网端口</td>
				<td width="80px">映射时间</td>
				<td width="60px">在线时间</td>
				<td width="30px">操作</td>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
function getcentername()
{
	var sch = TrimAll($("#centername").val());
	if (sch == "") return;
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', 
			grpid: 0, 
			sch: sch, 
			page: 1, 
			limit: 5,
			expire: 0},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.rows.length > 0)
				$(".nameouter-table").show();

			$("#nameouter").html("");
			var s = '<table width="100%">'
			for (i = 0; i < data.rows.length; i++) {
				r = data.rows[i];
				sysname = r.sys_name;
				if (r.sys_name2 != "")
					sysname = r.sys_name2;
				s += '<tr><td><a href="javascript:setname(\''+sysname+'\', \''+r.license_id12+'\')">'+sysname+'</a></td></tr>';
			}
			s += '</table>';
			$(s).appendTo("#nameouter");
		}
	})
}

function setname(sysname, license_id12)
{
	$("#centername").val(sysname);
	$("#centercode").val(license_id12);
	$(".nameouter-table").hide();
	$("#nameouter").html("");
}

cpumem();
setInterval(cpumem, 10000);
ixc_stat();
gethost();
sshport_list("notlocalhost");
setInterval(sshport_list, 5000);
</script>
</body>
</html>
