<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 20;
function cloud_loglist()
{
	var keyword = $("#keyword").val();
	keyword = TrimAll(keyword);

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'cloud_loglist', keyword: keyword,
			page: page, limit: limit},
		dataType:'json',
		type:'post',
		success:function(data) {
			data_update(data);
			showpagenum(data);
		}
	})
}
function data_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj, href;
	var trbg = '', start;

	start = (page - 1) * limit;

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).html(start+i+1);
			tdobj.eq(1).html(r.user);
			tdobj.eq(2).html(r.time);
			tdobj.eq(3).html(r.ipaddr);
			tdobj.eq(4).html((r.cont));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (start+i+1)+'</td>'+
				'<td class="txt-left">'+ r.user+'</td>'+
				'<td class="txt-center">'+ r.time+'</td>'+
				'<td class="txt-center">'+ r.ipaddr+'</td>'+
				'<td class="txt-left">'+ r.cont+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function nextpage()
{
	page++;
	
	cloud_loglist();
}

function uppage()
{
	page--;
	if (page <= 0)
		page = 1;
	
	cloud_loglist();
}

function showpagenum(data)
{
	var totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>&nbsp;&nbsp;';
	
	$(".cloud-page-bar").html(pagestr);
}

</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_log");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li class="active"><a href="cloud_log.php">操作日志</a></li>
					<li><a href="cloud_discon.php">流控断开</a></li>
					<li><a href="ixcache_discon.php">缓存断开</a></li>
					<li><a href="cloud_otherlog.php">其它日志</a></li>
				</ul>
			</div>
			<div style="text-align:right;">
					<div class="form-group">
						<input type="text" value="" id="keyword" size="30" class="form-group-text" placeholder="输入12位编号" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="cloud_loglist()" class="btn-default" />
					</div>
			</div>
			<div class="topapp-list-table">
				<table style="width:100%;" cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:60px;" align="center">序号</th>
						<th align="left" style="width:100px;">用户名</th>
						<th align="center" style="width:200px;">操作时间</th>
						<th align="center" style="width:200px;">访问地址</th>
						<th align="left">详细内容</th>
					</tr>
				</table>
			</div>
			<div class="cloud-page-bar">
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
cloud_loglist();
cpumem();
setInterval(cpumem, 60000);

ixc_stat();
</script>
</body>
</html>
