<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
function isupgrade()
{
	var up = $("#bagsupload").val();
	if (up == "") {
		alert("请选择要上传的工具文件");
		return false;
	}
	
	if (!confirm("确定要上传该文件吗"))
		return false;
	
	return true;
}

function toolbags_list()
{
	var r;
	var trobj = $(".upbags-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'toolbags_list'},
		dataType:'json',
		type:'post',
		success: function(json) {
			var len = json.rows.length;
			var s = '';
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				trbg = '';
				if (i % 2 == 1)
					trbg = 'currtr';
				
				str = '<a href="javascript:toolbags_download(\''+r.filename+'\')">下载</a>';
				str += '&nbsp;&nbsp;|&nbsp;&nbsp;';
				str += '<a href="javascript:toolbags_delete(\''+r.filename+'\')">删除</a>';
				
				if (trobj.eq(i+1).length > 0) {
					tdobj = trobj.eq(i+1).find("td");
					
					tdobj.eq(0).html((i+1));
					tdobj.eq(1).html('<input type="checkbox" value="'+r.filename+'" name="bagssel" />');
					tdobj.eq(2).html(r.filename);
					tdobj.eq(3).text(numberformats(r.filesize));
					tdobj.eq(4).html(str);
				}else{
					s = '<tr class="'+trbg+'"><td align="center">'+(i+1)+'</td>'+
						'<td align="center"><input type="checkbox" value="'+r.filename+'" name="bagssel" /></td>'+
						'<td>&nbsp;'+r.filename+'</td>'+
						'<td align="right">'+numberformats(r.filesize)+
						'<td align="center">'+str+'</td></tr>';
					$(s).appendTo('.upbags-list table');
				}
			}
			for (i = trlen-1; i >= len+1; i--) 
				trobj.eq(i).remove();
		}
	});
}

function toolbags_delete(filename)
{
	if (!confirm("确定要删除该文件吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'toolbags_delete', filename: filename},
		dataType:'json',
		type:'post',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			toolbags_list();
		}
	});
}

function cloud_bags_muldelete()
{
	var ut = [];
	var filename='';
	
	$("[name='bagssel']").each(function(){
		if ($(this).attr("checked"))
			ut.push($(this).val());
	});
	
	filename = ut.join(',');
	if (filename == "") {
		alert("请选择要删除的文件！");
		return false;
	}
	
	toolbags_delete(filename);
	
	$("[name='allbagssel']").each(function(){
		if ($(this).attr("checked"))
			$(this).removeAttr("checked");
	});
}

function toolbags_download(filename)
{
	window.open("../cloud_toolbags/"+filename, "_blank");
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_toolbags");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li><a href="cloud_iptables.php">IP群组</a></li>
					<li><a href="cloud_urldnsgrp.php">域名群组</a> </li>
					<li class="active"><a href="cloud_toolbags.php">其它工具</a></li>
				</ul>
			</div>
			<div style="padding:10px 5px;">
				<div class="cloud-bags-upload-form">
				<form enctype="multipart/form-data" method="post" action="system_handle.php" 
					target="upbags-upload-iframe" onsubmit="return isupgrade()">
					<table>
						<tr>
							<td colspan="2" class="font-fileupload" align="left">
								请选择工具文件路径：
								<input type="hidden" name="type" id="type" value="toolbags_upload" />
								<input type="file" name="bagsupload" id="bagsupload" style="width:800px" />
								<input type="submit" value="上传工具文件" class="btn-default" /></td>
						</tr>
					</table>
				</form>
				<iframe src="about:blank" name="upbags-upload-iframe" id="upbags-upload-iframe" style="display:none;" frameborder=0></iframe>
				</div>
				<div style="float:right;">
					<input type="button" value="删除选中" onclick="cloud_bags_muldelete()" class="btn-default" />
				</div>
				<div style="clear:both;"></div>
			</div>
			<div class="upbags-list">
				<table style="width:100%;" cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:40px;" align="center">序号</th>
						<th style="width:40px;" align="center">
							<input type="checkbox" value="allsel" name="allbagssel" />
						</th>
						<th align="left">&nbsp;文件名</th>
						<th align="right">&nbsp;文件大小</th>
						<th style="width:100px;" align="center">操作</th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
toolbags_list();

$("[name='allbagssel']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='bagssel']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='bagssel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

cpumem();
setInterval(cpumem, 60000);

ixc_stat();
</script>
</body>
</html>
