<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
function isupgrade()
{
	var up = $("#bagsupload").val();
	if (up == "") {
		alert("请选择要上传的文件");
		return false;
	}
	if (up.indexOf(' ') != -1) {
		alert("文件名称不要用空格");
		return false;
	}
	if (!confirm("确定要上传该文件吗"))
		return false;
	
	return true;
}

var page = 1;
var limit = 20;
function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>&nbsp;&nbsp;';
	
	$(".cloud-page-bar").html(pagestr);
}

function nextpage()
{
	page++;
	
	urldnsbags_list();
}

function uppage()
{
	page--;
	
	urldnsbags_list();
}

function urldnsbags_list()
{
	var r;
	var trobj = $(".upbags-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';
	
	start = (page - 1) * limit;

	$("[name='bagsupload']").eq(0).val('');
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'urldnsupbags_list', page: page, limit: limit},
		dataType:'json',
		type:'post',
		success: function(json) {
			var len = json.rows.length;
			var s = '';
			
			showpagenum(json);
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				trbg = '';
				if (i % 2 == 1)
					trbg = 'currtr';
				
				str = '<a href="javascript:urldnsupbags_update(\''+r.filename+'\')">上传到设备</a>';
				str += '&nbsp;&nbsp;|&nbsp;&nbsp;';
				str += '<a href="javascript:urldnsupbags_edit(\''+r.filename+'\')">编辑</a>';
				str += '&nbsp;&nbsp;|&nbsp;&nbsp;';
				str += '<a href="javascript:urldnsupbags_download(\''+r.filename+'\')">下载</a>';
				str += '&nbsp;&nbsp;|&nbsp;&nbsp;';
				str += '<a href="javascript:urldnsupbags_delete(\''+r.filename+'\')">删除</a>';
				
				if (trobj.eq(i+1).length > 0){
					tdobj = trobj.eq(i+1).find("td");
					
					tdobj.eq(0).html((start+i+1));
					tdobj.eq(1).html('<input type="checkbox" value="'+r.filename+'" name="bagssel" />');
					tdobj.eq(2).html(r.filename);
					tdobj.eq(3).text(numberformats(r.filesize));
					tdobj.eq(4).html(r.uptime);
					tdobj.eq(5).html(str);
				}else{
					s = '<tr class="'+trbg+'"><td align="center">'+(start+i+1)+'</td>'+
						'<td align="center"><input type="checkbox" value="'+r.filename+'" name="bagssel" /></td>'+
						'<td>'+r.filename+'</td>'+
						'<td align="right">'+numberformats(r.filesize)+'</td>'+
						'<td align="center">'+r.uptime+'</td>'+
						'<td align="center">'+str+'</td></tr>';
					$(s).appendTo('.upbags-list table');
				}
			}
			for (i = trlen-1; i >= len+1; i--) 
				trobj.eq(i).remove();
		}
	});
}

function urldnsupbags_edit(filename)
{
	var w = 800;
	var h = $(window).height() - 100;
	var l = ($(window).width() - w)/2;
	var t = ($(window).height() - h)/2;

	window.open("../Maintain/urldnsgrp_edit.php?file="+filename, "_blank", "width="+w+
				"px, height="+h+"px, left="+l+"px, top="+t);
}

function urldnsupbags_update(filename)
{
	var w = 800;
	var h = $(window).height() - 100;
	var l = ($(window).width() - w)/2;
	var t = ($(window).height() - h)/2;

	window.open("../Maintain/urldnsgrp_update.php?file="+filename, "_blank", "width="+w+
				"px, height="+h+"px, left="+l+"px, top="+t);
}

function urldnsupbags_delete(filename)
{
	if (!confirm("确定要删除该文件吗"))
		return false;
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'urldnsupbags_delete', filename: filename},
		dataType:'json',
		type:'post',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			urldnsbags_list();
		}
	});
}

function cloud_bags_muldelete()
{
	var ut = [];
	var filename='';
	
	$("[name='bagssel']").each(function(){
		if ($(this).attr("checked"))
			ut.push($(this).val());
	});
	
	filename = ut.join(',');
	if (filename == "") {
		alert("请选择要删除的文件！");
		return false;
	}
	
	urldnsupbags_delete(filename);
	
	$("[name='allbagssel']").each(function(){
		if ($(this).attr("checked"))
			$(this).removeAttr("checked");
	});
}

function urldnsupbags_download(filename)
{
	window.open("../cloud_urldnsgrp/"+filename, "_blank");
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_toolbags");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li> <a href="cloud_iptables.php">IP群组</a> </li>
					<li class="active"><a href="cloud_urldnsgrp.php">域名群组</a> </li>
					<li><a href="cloud_toolbags.php">其它工具</a> </li>
				</ul>
			</div>
			<div style="padding:10px 5px;">
				<div class="cloud-bags-upload-form" style="margin-top:0px;">
				<form enctype="multipart/form-data" method="post" action="system_handle_ex.php" 
					target="upbags-upload-iframe" onsubmit="return isupgrade()">
					<table>
						<tr>
							<td colspan="2" class="font-fileupload" align="left">
								请输入域名文件路径：
								<input type="hidden" name="type" id="type" value="urldnsbagsupload" />
								<input type="file" name="bagsupload" id="bagsupload" style="width:600px" />
								<input type="submit" value="上传域名文件" class="btn-default" /></td>
							</td>
							<td>
								<input type="radio" name="uptype" value="cover" checked /> 覆盖
								<input type="radio" name="uptype" value="add" /> 追加
							</td>
						</tr>
					</table>
				</form>
				<iframe src="about:blank" name="upbags-upload-iframe" id="upbags-upload-iframe" style="display:none;" frameborder=0></iframe>
				</div>
				<div style="float:right;">
					<input type="button" value="创建任务" onclick="urldnsupbags_update('')" class="btn-default" />
					<input type="button" value="删除选中" onclick="cloud_bags_muldelete()" class="btn-default" />
				</div>
				<div style="clear:both;"></div>
			</div>
			<div class="upbags-list">
				<table style="width:100%;" cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:40px;" align="center">序号</th>
						<th style="width:40px;" align="center">
							<input type="checkbox" value="allsel" name="allbagssel" />
						</th>
						<th align="left">&nbsp;文件名</th>
						<th align="right">文件大小</th>
						<th align="center">上传时间</th>
						<th style="width:220px;" align="center">操作</th>
					</tr>
				</table>
				<div class="cloud-page-bar"></div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
urldnsbags_list();

$("[name='allbagssel']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='bagssel']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='bagssel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

cpumem();
setInterval(cpumem, 3000);

ixc_stat();
</script>
</body>
</html>
