<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
var start = 0;
var pagestr = '';

function nextpage()
{
	page++;
	
	cloud_applist();
}

function uppage()
{
	page--;
	if (page <= 0)
		page = 1;
	
	cloud_applist();
}

function button_click()
{
	page = 1;
	
	cloud_applist();
}

function cloud_applist()
{
	var sch = TrimAll($("#sch").val());
	limit = $("#listnum").val();
	if (limit == "" || limit == 0 || isNaN(limit))
		limit = 20;
	schs = sch.replace(/'/g, '');
	var grpid = $("#grplisthdr").val();

	$.ajax({
		url:'system_handle.php',
		data:{
			type:'cloud_applist', 
			page: page, 
			limit: limit, 
			sch: schs, 
			grpid: grpid,
			reverse: 0
		},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no")
				alert(data.str);
			
			applist_update(data);
			showpagenum(data);
		}
	});
}

function applist_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".cloud_applist table tr");
	var trlen = trobj.length;
	var tdobj, tdcolor;
	var trbg = '';
	var errors, backup_type, backup_nexttime;
	var tobackup = 0;
	
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		start = (page - 1) * limit;
		
		if (r.grpname == null)
			r.grpname = "";
		
		tdcolor = '#000';
		if (r.systime - r.time >= 60)
			tdcolor = '#f00';

		if (r.app_status == "enable") {
			sstr = "<img src='../img/10.png' title='启用' width='15px' />";
			hdstr = '<a href="javascript:void(0);" onclick="app_handle(\''+r.license_id12+'\', \''+r.app_name+'\', \'disable\')">禁用</a>';
		}
		else {
			sstr = "<img src='../img/12.png' title='禁用' width='15px' />";
			hdstr = '<a href="javascript:void(0);" onclick="app_handle(\''+r.license_id12+'\', \''+r.app_name+'\', \'enable\')">启用</a>';
		}
		if (r.startmask != "0")
			hdstr = '<a><img src="../img/loading.gif" /></a>';
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).html((start+i+1));
			tdobj.eq(1).html('<input type="checkbox" value="'+r.license_id12+'" app_name="'+r.app_name+'" app_status="'+r.app_status+'" name="unitsel" />');
			tdobj.eq(2).html(r.license_id12);
			tdobj.eq(3).html(r.sysname);
			tdobj.eq(4).html(r.grpname);
			tdobj.eq(5).html(r.app_cname);
			tdobj.eq(6).html(r.app_version);
			tdobj.eq(7).html(sstr);
			tdobj.eq(8).html(hdstr);
			
			tdobj.eq(0).css("color", tdcolor);
			tdobj.eq(1).css("color", tdcolor);
			tdobj.eq(2).css("color", tdcolor);
			tdobj.eq(3).css("color", tdcolor);
			tdobj.eq(4).css("color", tdcolor);
			tdobj.eq(5).css("color", tdcolor);
			tdobj.eq(6).css("color", tdcolor);
			tdobj.eq(7).css("color", tdcolor);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center" style="color:'+tdcolor+'">'+(start+i+1)+'</td>'+
				'<td align="center"><input type="checkbox" value="'+r.license_id12+'" app_name="'+r.app_name+'" app_status="'+r.app_status+'" name="unitsel" /></td>'+
				'<td class="td-normal" style="color:'+tdcolor+'">'+ r.license_id12+'</td>'+
				'<td class="td-normal" style="color:'+tdcolor+'">'+ r.sysname+'</td>'+
				'<td align="left" style="color:'+tdcolor+'">'+ r.grpname+'</td>'+
				'<td align="left" style="color:'+tdcolor+'">'+ r.app_cname+'</td>'+
				'<td align="left" style="color:'+tdcolor+'">'+r.app_version+'</td>'+
				'<td align="left" style="color:'+tdcolor+'">'+sstr+'</td>'+
				'<td align="left" style="color:'+tdcolor+'">'+hdstr+'</td>'+
				'</tr>';
			$(s).appendTo(".cloud_applist table");
		}
	}
	
	
	$("[name='unitsel']").click(function(){
		clearInterval(appint);
       	});
	for (i = trlen-1; i >= len+1; i--) 
		trobj.eq(i).remove();
	$(".cloud_applist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function showpagenum(data)
{
	totalpage = Math.ceil(data.total / limit);
			
	pagestr = '<span>共有'+data.total+'条，每页显示：'+limit+'条&nbsp;&nbsp;&nbsp;&nbsp;</span>';
	if (page > 1)
		pagestr += '<a href="javascript:uppage()" class="prepage" title="上一页">上一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="上一页" >上一页</a>&nbsp;&nbsp;';
	
	pagestr += '<a class="page-bar-page" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
	if (page < totalpage)
		pagestr += '<a href="javascript:nextpage()" title="下一页" style="color:#999;padding:5px 2px;border:1px solid #ddd" >下一页</a>&nbsp;&nbsp;';
	else
		pagestr += '<a style="color:#999;padding:5px 2px;border:1px solid #ddd" title="下一页" >下一页</a>';
		
	$(".cloud-page-bar").html(pagestr);
}

function appup_close_config()
{
	$("#report_pop_box_create_appup").remove();
}

function cloud_appup_create()
{	
	var rpid = "create_appup";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(900, 900, rpid);
	var left = parseInt($("#"+id).css("left"));
	$("#"+id).css("left", (left+150)+"px");
	$("#report_pop_box_title_"+rpid).text("升级App");
	
	var h = $("#"+content_id).height();
	$("#"+content_id).height(h+68);
	
	var sth = '<table style="margin-top:0;">'+
		'<tr>'+
			'<th width="50px">序号</th>'+
			'<th width="50px"><input type="checkbox" name="selall" /></th>'+
			'<th colspan="2">'+
			'<input type="text" value="云服务" placeholder="可用设备编号、系统名称、App名称、版本号查询" '+
				'id="sch_app" style="width:100%;" class="form-group-text" /></th>'+
			'<th align="center" width="150px">'+
			'<select id="grplisthdr_open" class="form-control"></select>'+
			'</th>'+
			'<th align="center" width="150px">'+
			'<select id="title_appname" class="form-control"><option value="">所有App</option></select>'+
			'</th>'+
			'<th width="100px">当前版本</th>'+
		'</tr>'+
	'</table>';
	
	s = '<div class="upgrade-config">'+
		'<table style="width:100%;">'+
			'<tr>'+
				'<td style="border-bottom:1px solid #ddd;font-size:14px;">&nbsp;&nbsp;选择升级包</td>'+
			'</tr>'+
		'</table>'+
		'<table style="margin: 10px auto 0 auto; width:99%;">'+
			'<tr>'+
				'<td width="150px" align="left">&nbsp;请选择App升级包：</td>'+
				'<td>'+
					'<select id="appbagsname" style="width:540px;" class="form-control">'+
						'<option value="">请选择升级包</option>'+
					'</select>'+
				'</td>'+
				'<td>'+
					'<div class="upgrade-app-button" style="text-align:right;">'+
						'<a id="nowupgradebutton" style="padding:5px 20px;background:#09c;color:#fff;" '+
						'href="javascript:appup_save_config()">保存配置，立即升级</a>'+
					'</div>'+
				'</td>'+
			'</tr>'+
		'</table>'+
		'<table style="width:100%;margin-top:10px;">'+
			'<tr>'+
				'<td style="border-bottom:1px solid #ddd;font-size:14px; width:150px;">&nbsp;&nbsp;设备列表</td>'+
				'<td style="border-bottom:1px solid #ddd;font-size:12px;" align="right">'+
				'<input type="checkbox" name="noinstall" />显示未安装此App的设备&nbsp;&nbsp;'+
				'<input type="checkbox" name="nred" />不显示红色APP，红色表示不在线状态&nbsp;&nbsp;'+
				'</td>'+
			'</tr>'+
		'</table>'+
		'<div class="upgrade-app-list" style="margin-top:5px;overflow:auto;">'+sth
		'</div>'+
	'</div>';
	
	$(s).appendTo("#"+content_id);
	
	$(".report-pop-box-foot").hide();
	
	$("[name='selall']").click(function() {
		if ($(this).attr("checked")) {
			$("[name='appsel']").each(function(){
				$(this).attr("checked", true);
			});
		}else{			
			$("[name='appsel']").each(function(){
				$(this).removeAttr("checked");
			});
		}
	});
	$("[name='nred']").click(disred_handle);
	$("[name='noinstall']").click(function() {
		$("#sch_app").val("");
		if ($("#appbagsname").val() == "") {
			alert("请选择要升级的App包");
			return false;
		}
		s = $("#appbagsname").find("option:selected").text();
		if (s == "")
			return false;
		v = s.split("--");
		
		if (!$(this).attr("checked"))
			$("#sch_app").val(v[1]);
		else
		$("#sch_app").val(v[1]+","+v[2]);
		
		cloud_appupgradelist();
	});
	$("#appbagsname").change(function(){
		$("[name='noinstall']").eq(0).removeAttr("checked");
		cloud_appupgradelist();
	});
	
	/* paname */
	$("#sch_app").keyup(function() {
		var ev = window.event || arguments.callee.caller.arguments[0];
		var th = ev.keyCode || ev.whick;
		if (th == 13)
			cloud_appupgradelist();
	});
	
	cloud_appupgradelist();
	appup_packets();
	grplist2();
	
	$("#grplisthdr_open").change(function(){
		cloud_appupgradelist();
	});
	$("#title_appname").change(function(){
		$("#sch_app").val($(this).val());
		cloud_appupgradelist();
	});
}

function grplist2()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#grplisthdr_open').find("option").remove();
			s = '<option value="0">所有组</option>';
			$(s).appendTo('#grplisthdr_open');
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s = '<option value="'+r.grpid+'">'+r.grpname+'</option>';

				$(s).appendTo('#grplisthdr_open');
			}
		}
	});
}

function appup_packets()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'appupbags_list', page: 0, limit: 0},
		dataType:'json',
		type:'post',
		success: function(json) {
			$('#appbagsname').html('');
			
			s = '<option value="">请选择App升级包</option>';
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s += '<option value="'+r.filename+'">'+r.filename+'-- '+r.app_cname+'-- '+r.app_version+'</option>';
			}
			$(s).appendTo('#appbagsname');
		}
	});
}

function appup_save_config()
{
	var arrlis = [];
	var arrpaname = [];
	var arrappver = [];
	var arrappname = [];
	var lissel = "";
	var panamesel = "";
	var appversel = "";
	var appnamesel = "";
	
	var bagname = $("#appbagsname").val();
	if (bagname == "") {
		alert("当前没有选择任何升级包");
		return false;
	}
	
	$("[name='appsel']").each(function(){
		if ($(this).attr("checked")) {
			fd = 0;
			for (i = 0; i < arrlis.length; i++) {
				if ($(this).val() == arrlis[i])
					fd = 1;
			}
			if (fd == 0) {
				arrlis.push($(this).val());
				arrpaname.push($(this).attr("paname"));
				arrappver.push($(this).attr("appver"));
				arrappname.push($(this).attr("appname"));
			}
		}
	});
	if (arrlis.length == 0) {
		alert("请选择要升级的设备");
		return false;
	}
	lissel = arrlis.join(',');
	panamesel = arrpaname.join(',');
	appversel = arrappver.join(',');
	appnamesel = arrappname.join(',');
	
	if (!confirm("确定要保存配置并开始升级吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'appup_save_config', bagname: bagname, 
			lissel: lissel, panamesel:panamesel, 
			appversel: appversel, appnamesel: appnamesel},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn == "yes") {
				$("#report_pop_box_create_appup").remove();
				cloud_appup_upgrading();
			}else
				alert(data.str);
		}
	});
}

var nred = 0;
function disred_handle()
{
	if ($("[name='nred']").eq(0).attr("checked"))
		nred = 1;
	else
		nred = 0;
	
	cloud_appupgradelist();
}

function cloud_appupgradelist()
{
	var sch = TrimAll($("#sch_app").val());
	schs = sch.replace(/'/g, '');
	var grpid = $("#grplisthdr_open").val();
	if (!grpid) grpid = 0;
	
	var reverse = 0;
	if ($("[name='noinstall']").eq(0).attr("checked"))
		reverse = 1;

	$.ajax({
		url:'system_handle.php',
		data:{
			type:'cloud_applist',
			page: 1,
			limit: 600,
			sch: schs,
			grpid: grpid,
			reverse: reverse
		},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn && data.yn == "no")
				alert(data.str);
			
			appupgradelist_update(data);
		}
	});
}

function appupgradelist_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".upgrade-app-list table tr");
	var trlen = trobj.length;
	var tdobj, tdcolor;
	var trbg = '';
	var errors, backup_type, backup_nexttime;
	var tobackup = 0;
	var rednum = 0;
	
	for (i = 1; i < trlen; i++)
		trobj.eq(i).remove();
	
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		if (r.grpname == null)
			r.grpname = "";
		
		tdcolor = '#000';
		if (r.systime - r.time >= 70)
			tdcolor = '#f00';
		if (r.systime - r.time >= 60 && nred)
			continue;
		
		s = '<tr class="'+trbg+'">'+
			'<td align="center" style="color:'+tdcolor+'">'+(i+1)+'</td>'+
			'<td align="center"><input type="checkbox" value="'+
				r.license_id12+'" appname="'+r.app_cname+
				'" name="appsel" appver="'+r.app_version+'" paname="'+r.sysname+'" /></td>'+
			'<td class="td-normal" style="color:'+tdcolor+'">'+ r.license_id12+'</td>'+
			'<td class="td-normal" style="color:'+tdcolor+'">'+ r.sysname+'</td>'+
			'<td align="center" style="color:'+tdcolor+'">'+ r.grpname+'</td>'+
			'<td align="center" style="color:'+tdcolor+'">'+ r.app_cname+'</td>'+
			'<td align="center" style="color:'+tdcolor+'">'+r.app_version+'</td>'+
			'</tr>';
		$(s).appendTo(".upgrade-app-list table");
	}
	
	if ($("#title_appname").length != 0) {
		for (i = 0; i < data.app_cname.length; i++) {
			s = '<option value="'+data.app_cname[i]+'">'+data.app_cname[i]+'</option>';
			$(s).appendTo("#title_appname");
		}
	}
}

var appup_int;
function cloud_appup_upgrading()
{	
	var rpid = "create_appup_upgrading";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(1100, 900, rpid);
	$("#report_pop_box_title_"+rpid).text("升级App");
	
	var h = $("#"+content_id).height();
	$("#"+content_id).height(h+68);
	
	s = '<div class="upgrade-app2-list">'+
			'<table style="margin-top:0;">'+
				'<tr>'+
					'<th width="50px">序号</th>'+
					'<th align="left">编号</th>'+
					'<th align="left">系统名称</th>'+
					'<th align="left">App名称</th>'+
					'<th align="left">升级包</th>'+
					//'<th align="left">当前版本</th>'+
					'<th align="left">升级后版本</th>'+
					'<th align="center">状态</th>'+
					'<th align="left" width="150px">备注</th>'+
				'</tr>'+
			'</table>'+
		'</div>';
	
	$(s).appendTo("#"+content_id);
	
	$(".report-pop-box-foot").hide();
	
	var h = $("#"+content_id).height();
	$(".upgrade-app2-list").height(h-230);
	
	cloud_appup_upgrading_ajax();
	appup_int = setInterval(cloud_appup_upgrading_ajax, 1000);
}

function cloud_appup_upgrading_ajax()
{
	var rpid = "create_appup_upgrading";
	var id = "report_pop_box_"+rpid;
	if ($("#"+id).length <= 0)
		clearInterval(appup_int);
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_appup_upgrading'},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no")
				alert(data.str);
			else
			cloud_appup_upgrading_update(data);
		}
	});
}

function cloud_appup_upgrading_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".upgrade-app2-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var errors, backup_type, backup_nexttime;
	var tobackup = 0;
	
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		if (r.complete == "0" || r.complete == "1") {
			completestr = '<img src="../img/loading.gif" />';
			errors = r.errors;
		}
		else if (r.complete == "2") {
			completestr = '<img src="../img/10.png" width="15px" />';
			errors = "升级成功";
		}
		else if (r.complete == "3") {
			completestr = '<img src="../img/12.png" width="15px" />';
			errors = r.errors;
		}

		if (r.errors == "wait")
			errors = "准备升级，请稍后..."
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).html((i+1));
			tdobj.eq(1).html(r.license_id12);
			tdobj.eq(2).html(r.sysname);
			tdobj.eq(3).html(r.app_cname);
			tdobj.eq(4).html(r.upgrade_bag);
			//tdobj.eq(5).html(r.ori_version);
			tdobj.eq(5).html(r.last_version);
			tdobj.eq(6).html(completestr);
			tdobj.eq(7).html(errors);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center">'+(i+1)+'</td>'+
				'<td class="td-normal">'+ r.license_id12+'</td>'+
				'<td align="left">'+ r.sysname+'</td>'+
				'<td align="left">'+ r.app_cname+'</td>'+
				'<td align="left">'+r.upgrade_bag+'</td>'+
				//'<td align="left">'+r.ori_version+'</td>'+
				'<td align="left">'+r.last_version+'</td>'+
				'<td align="center">'+completestr+'</td>'+
				'<td align="left">'+errors+'</td>'+
				'</tr>';
			$(s).appendTo(".upgrade-app2-list table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) 
		trobj.eq(i).remove();
	$(".upgrade-app2-list tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}

function appup_getcurrupgrade()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'appup_getcurrupgrade'},
		dataType:'json',
		type:'post',
		success:function(data){
			$("#currappinstall").html("当前升级App设备数："+data.num);
		}
	});
}

function enterEvent()
{
	page = 1;
	
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		button_click();
	else return false;
}

var appint;
function app_handle(license_id12, app_name, state)
{
	appint = setInterval(cloud_applist, 1000);

	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'app_start', license_id12: license_id12, app_name: app_name, state: state},
		dataType:'json',
		type:'post',
		success:function(data){
			cloud_applist();
		}
	})
}

function cloud_appup_start()
{
	var l = [], n =[], s = [];
	var license_id12 = '', name = '', status = '';

	$("[name='unitsel']").each(function(){
		if ($(this).attr("checked")) {
			l.push($(this).val());
			n.push($(this).attr("app_name"));
			s.push($(this).attr("app_status"));
		}
	});
	if (l.length == 0) {
		alert("请选择要操作的app");
		return false;
	}
	license_id12 = l.join(',');
	name = n.join(',');
	status = s.join(',');

	app_handle(license_id12, name, status);
}
</script>
<style type="text/css">
.prepage {color:#999;padding:5px 2px;border:1px solid #ddd}
</style>
</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_appup");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<!--
			<div class="product-upgrade-nav"  style="padding:15px 0 0 0;">
				<ul class="nav nav-tabs">
					<li><a href="cloud_appbags.php">升级包管理</a></li>
					<li class="active"><a href="cloud_appup.php">App管理</a></li>
				</ul>
			</div>
			-->
			<div class="als-nav-header">
				<ul>
					<li><a href="cloud_appbags.php">升级包</a></li>
					<li class="active"><a href="cloud_appup.php">App列表</a></li>
				</ul>
		       	</div>
			<div class="product-bd-nav">
				<div style="float:left;">
					<div class="form-group">
						显示组&nbsp;
						<select id="grplisthdr" class="form-control">
							<option value="0">所有组</option>
						</select>
					</div>
					<div class="form-group">
						每页&nbsp;
						<input type="text" value="50" id="listnum" size="1" class="form-group-text" /> 条
					</div>
					<div class="form-group">
						<input type="text" placeholder="可用设备编号、系统名称、App名称搜索" 
							id="sch" size="48" class="form-group-text" onkeyup="enterEvent()" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="button_click()" class="btn-default" />
					</div>
				</div>
				<div style="float:right;">
					<span id="currappinstall" style="border:1px solid #09C;height:28px;line-height:28px;font-size:12px;padding:0 5px; cursor:pointer;display:inline-block;">
						当前升级App设备数: 0
					</span>
						<input type="button" value="启动/停止App" onclick="cloud_appup_start()" class="btn-default btn-blue" />
						<input type="button" value="升级App" onclick="cloud_appup_create()" class="btn-default btn-blue" />
				</div>
				<div style="clear:both;"></div>
			</div>
			<div class="cloud_applist">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th style="width:30px;" align="center">
							<input type="checkbox" value="" name="allsel" />
						</th>
						<th align="left" width="140px">编号</th>
						<th align="left" width="150px">系统名称</th>
						<th align="left" width="100px">属组</th>
						<th align="left" width="150px">名称</th>
						<th align="left" width="100px">版本</th>
						<th align="left" width="50px">状态</th>
						<th align="left" width="30px">操作</th>
					</tr>
				</table>
			</div>
			<div class="cloud-page-bar">
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
cloud_applist();

$("#grplisthdr").change(function(){
	page = 1;
	cloud_applist();
});

appup_getcurrupgrade();
setInterval(appup_getcurrupgrade, 5000);

$("#currappinstall").click(cloud_appup_upgrading);
$("#currappinstall").hover(function(){
	$(this).css("background", "#09c");
	$(this).css("color", "#fff");
},function(){
	$(this).css("background", "#fff");
	$(this).css("color", "#09c");
});

grplist(2, 0);

cpumem();
setInterval(cpumem, 3000);

ixc_stat();

$("[name='allsel']").click(function(){
	clearInterval(appint);
	if ($(this).attr("checked")) {
		$("[name='unitsel']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='unitsel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});
</script>
</body>
</html>
