<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript">
var g_ascdesc = "desc";
var g_sort = "license_id12";
function hd_sort2(sort)
{
	g_sort = sort;
	
	if (g_ascdesc == "desc")
		g_ascdesc = "asc";
	else
		g_ascdesc = "desc";
	
	expire_devlist();
}

function expire_devlist()
{
	var grpid = $("#grplisthdr").val();
	var sch = $("#sch").val();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', 
			grpid: grpid, 
			sch: sch, 
			sort: g_sort, 
			g_ascdesc: g_ascdesc, 
			page: 1,
			limit: 0,
			expire: 1},
		dataType:'json',
		type:'post',
		success:function(data){
			expire_update(data);
		}
	});
}

var expnum = 0;
function expire_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".cloud_devlist table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	expnum = 0;
	
	var loginuser = $("#loginuser").val();
	
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
			
		usedayscolor = '#000';
		if (r.license_end == 0) {
			usedays = '';
			state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}else {
			usedays = parseInt((r.license_end - n) / 86400);
			if (usedays <= 7) {
				usedayscolor = '#BDBD6D';
				state_png = '<img src="../img/16.png" title="License即将到期" />';
			}else
				state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}
		if (usedays != "" && usedays >= 0)
			usedays += '天';
		
		if ((r.time+30) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
			usedayscolor = '#f00'
		}
		
		if (r.sys_name == "") r.sys_name = '';
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		
		var sinfo = '&nbsp;&nbsp;<a href="javascript:device_detail(\''+r.sys_name+'\', \''+
			r.license_id12+'\', \''+r.ipaddr+'\', \''+r.license_start_str+'\', '+
			'\''+r.license_end_str+'\', \''+r.license_id83+'\', '+r.max_flowcont+', '+
			r.max_ipcnt+', '+r.webport+', '+r.sshport+', \''+r.localip+'\', \''+r.outip+'\')">'+
			'<img src="../img/curinfo.png" title="详细说明" class="yunwei" /></a>';
		var setstr = '&nbsp;&nbsp;<a href="javascript:openset(\''+r.sys_name+'\', \''+ 
			r.license_id12+'\', '+r.grpid+', \''+r.map_address+'\')">设置</a>';
			
		yunweilog = '&nbsp;&nbsp;<a href="javascript:device_myrecord(\''+ 
			r.license_id12+'\', \''+r.sys_name+'\');void(0)">'+
			'<img src="../img/b_edit.png" title="运维日志" class="yunwei" /></a>';
			
		sysname = '<a href="javascript:openssh_m(\''+r.license_id12+'\', \''+
			r.localip+'\', '+r.webport+')">'+r.sys_name+'</a>';
		
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";
		
		chkbox = '<input type="checkbox" value="'+r.license_id12+'" cname="'+r.sys_name+'" name="mypa" />';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			for (j = 0; j < 14; j++)
				tdobj.eq(j).css("color", usedayscolor);
			
			tdobj.eq(0).html((i+1));
			tdobj.eq(1).html(chkbox);
			tdobj.eq(2).html(r.license_id12);
			tdobj.eq(3).html(sysname+sinfo+yunweilog);
			tdobj.eq(4).html(state_png);
			tdobj.eq(5).html(r.grpname);
			tdobj.eq(6).html(r.time_str);
			tdobj.eq(7).html(usedays);
			tdobj.eq(8).html(r.users);
			tdobj.eq(9).html(r.flowcont);
			tdobj.eq(10).html(numberformats(r.upbps)+' / '+numberformats(r.downbps));
			tdobj.eq(11).html(r.sys_run);
			tdobj.eq(12).html(r.version);
			tdobj.eq(13).html(setstr);
		}else {
			s = '<tr class="'+trbg+'">'+
				'<td align="center" style="color:'+usedayscolor+'">'+(i+1)+'</td>'+
				'<td class="txt-center">'+chkbox+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ r.license_id12+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ sysname+sinfo+yunweilog+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+state_png+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+ r.grpname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+r.time_str+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ usedays +'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.users+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.flowcont+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ numberformats(r.upbps)+' / '+numberformats(r.downbps)+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.sys_run+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.version+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+setstr+'</td>'+
				'</tr>';
			$(s).appendTo(".cloud_devlist table");
		}
	}
	$(".license-message").text(len);
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".cloud_devlist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_expire");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-bd-nav">
				<form>
					<div class="form-group">
						刷新&nbsp;
						<select id="bdupdateint" class="form-control">
							<option value="0">不刷新</option>
							<option value="5" selected>5秒</option>
							<option value="15">15秒</option>
							<option value="60">60秒</option>
						</select>
					</div>
					<div class="form-group">
						显示组&nbsp;
						<select id="grplisthdr" class="form-control">
								<option value="0">所有组</option>
							</select>
					</div>
					<div class="form-group">
						<input type="text" placeholder="请输入设备编号或名称进行模糊查询" id="sch" size="48" class="form-group-text" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="expire_devlist()" class="btn-default" />
					</div>
					<div style="float:right;" class="form-group device-delete">
						<input type="button" value="删除选中" onclick="device_delete(1)" class="btn-default" />
					</div>
				</form>
			</div>
			<div class="cloud_devlist">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th style="width:30px;" align="center">
							<input type="checkbox" name="allpa" />
						</th>
						<th align="left" width="140px"><a href="javascript:hd_sort2('license_id12')">编号</a></th>
						<th align="left" style="width:240px;">名称</th>
						<th align="center" width="40px">状态</th>
						<th align="center" width="90px">属组</th>
						<th align="center" width="120px"><a href="javascript:hd_sort2('time')">最后在线</a></th>
						<th align="right" width="70px"><a href="javascript:hd_sort2('license_end')">有效期</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort2('users')">用户数</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort2('flowcont')">连接数</a></th>
						<th align="right" width="120px"><a href="javascript:hd_sort2('upbps')">上行</a>/<a href="javascript:hd_sort2('downbps')">下行(bps)</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort2('sys_run')">运行</a></th>
						<th align="right" width="200px"><a href="javascript:hd_sort2('version')">当前版本</a></th>
						<th style="width:50px;" align="center">操作</th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<input type="hidden" value="<?=$_SESSION['cloud_username']?>" id="loginuser" />
<script type="text/javascript">
grplist(2, 0);
expire_devlist();
$("#grplisthdr").change(function(){expire_devlist();});

cloud_int = setInterval(function(){expire_devlist();}, 5000);
$("#bdupdateint").change(function() {
	clearInterval(cloud_int);
	if ($(this).val() != "0")
		cloud_int = setInterval(function(){cloud_devlist()}, parseInt($(this).val()) * 1000);
})

$("[name='allpa']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='mypa']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='mypa']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

if ($("#loginuser").val() != "admin")
	$(".device-delete").remove();

cpumem();
setInterval(cpumem, 60000);
</script>
</body>
</html>
