<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript">
function device_list()
{
	var grpid = $("#grpid").val();
	var sch = $("#sch").val();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', 
			grpid: grpid, 
			sch: sch, 
			sort: "license_id12", 
			g_ascdesc: "desc", 
			page: 1,
			limit: 0,
			expire: 0 
		},
		dataType:'json',
		type:'post',
		success:function(data){
			data_update(data);
		}
	});
}

var expnum = 0;
function data_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".cloud_devlist table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	expnum = 0;
	
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	for (i = 0; i < len; i++) {
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
			
		usedayscolor = '#000';
		if (r.license_end == 0) {
			usedays = '';
			state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}else {
			usedays = parseInt((r.license_end - n) / 86400);
			if (usedays <= 7) {
				usedayscolor = '#BDBD6D';
				state_png = '<img src="../img/16.png" title="License即将到期" />';
			}else
				state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}
		if (usedays != "" && usedays >= 0)
			usedays += '天';
		
		if ((r.time+30) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
			usedayscolor = '#f00'
		}
		
		if (r.sys_name == "") r.sys_name = '';
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";
		
		s = '<tr class="'+trbg+'">'+
				'<td align="center" style="color:'+usedayscolor+'">'+(i+1)+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ r.license_id12+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">'+ r.sys_name+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+state_png+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+ r.grpname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+r.time_str+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ usedays +'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.users+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.flowcont+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ numberformats(r.upbps)+' / '+numberformats(r.downbps)+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.sys_run+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.version+'</td>'+
				'</tr>';
		$(s).appendTo(".cloud_devlist table");
	}

	$(".license-message").text(len);
	$(".cloud_devlist tr").hover(function(){
		$(this).addClass("mouse-hover");
		$(this).find(".yunwei").show();
	}, 
	function(){
		$(this).removeClass("mouse-hover");
		$(this).find(".yunwei").hide();
	});
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_toolbags");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-upgrade-nav">
				<ul class="nav nav-tabs">
					<li><a href="cloud_toolbags.php">其它工具</a></li>
					<li class="active"><a href="cloud_rootpass.php">ROOT密码</a></li>
				</ul>
			</div>
			<div>
				<form>
					<div class="form-group">
						显示组&nbsp;
						<select id="grpid" class="form-control">
								<option value="0">所有组</option>
							</select>
					</div>
					<div class="form-group">
						<input type="text" placeholder="请输入设备编号或名称进行模糊查询" id="sch" size="48" class="form-group-text" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="expire_devlist()" class="btn-default" />
					</div>
				</form>
			</div>
			<div class="cloud_devlist">
				<table cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:30px;" align="center">ID</th>
						<th align="left" width="140px"><a href="javascript:hd_sort('license_id12')">编号</a></th>
						<th align="left" style="width:240px;">名称</th>
						<th align="center" width="40px">状态</th>
						<th align="center" width="90px">属组</th>
						<th align="center" width="120px"><a href="javascript:hd_sort('time')">最后在线</a></th>
						<th align="right" width="70px"><a href="javascript:hd_sort('license_end')">有效期</a></th>
						<th align="right" width="60px"><a href="javascript:hd_sort('users')">用户数</a></th>
						<th align="right" width="60px"><a href="javascript:hd_sort('flowcont')">连接数</a></th>
						<th align="right" width="120px"><a href="javascript:hd_sort('upbps')">上行/下行(bps)</a></th>
						<th align="right" width="100px"><a href="javascript:hd_sort('sys_run')">运行</a></th>
						<th align="right" width="200px"><a href="javascript:hd_sort('version')">当前版本</a></th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
grplist(2, 0);
device_list();
$("[name='allbagssel']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='bagssel']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='bagssel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

cpumem();
setInterval(cpumem, 3000);
</script>
</body>
</html>
