<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
function user_grplist(grp)
{
	var s = '';
	var a = [];
	if (grp != "")
		a = grp.split(',');
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			s += '<table><tr>';
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				if (r.grpid == "10000")
					continue;
				
				if (a.length == 0) {
					s += '<td width="100px">'+
						'<input type="checkbox" value="'+r.grpid+'" text="'+r.grpname+'" name="user-grp-unit">'+
						r.grpname+"</td>";
				}else {
					findit = 0;
					for (j = 0; j < a.length; j++) {
						if (a[j] == r.grpid) {
							findit = 1;
							break;
						}
					}
					
					if (findit)
						s += '<td width="100px">'+
							'<input type="checkbox" value="'+r.grpid+'" text="'+r.grpname+'" checked name="user-grp-unit">'+
							r.grpname+"</td>";
					else
						s += '<td width="100px">'+
							'<input type="checkbox" value="'+r.grpid+'" text="'+r.grpname+'" name="user-grp-unit">'+
							r.grpname+"</td>";
				}
				if ((i+1) % 4 == 0)
					s += '</tr>';
			}
			if ((i+1) % 4 != 0)
				s += '</tr>';
			s += '</table>';
			$("#user_grplist_td").html(s);
		}
	});
}

function cloud_userlist()
{
	var r;
	var trobj = $(".product-user table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';
	
	var cuser = $("#cloudusr").val();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_userlist', cuser: cuser},
		type:'post',
		dataType:'json',
		success:function(json) {
			var len = json.rows.length;
			var s = '';
			
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				if (r.logintime == 0)
					r.logintime = '';
				if (r.grp == 0)
					r.grp = '';
				if (r.grpname == 0)
					r.grpname = '';
				if (r.remarks == 0)
					r.remarks = '';
			
				trbg = '';
				if (i % 2 == 1)
					trbg = 'currtr';
				
				str = '<a href="javascript:void(0);" onclick="cloud_useredit'+
					'(\''+r.user+'\', \''+r.grp+'\', \''+r.grpname+'\', \''+
					r.remarks+'\', \''+r.ixc_grpids+'\', \''+r.ixc_grpnames+'\', \''+ 
					r.log_grpids+'\', \''+r.log_grpnames+'\', \''+r.intool_grpids+'\', \''+r.intool_grpnames+'\')">编辑</a>';
				
				str += '&nbsp;&nbsp;|&nbsp;&nbsp;';
				if (r.user == "admin")
					str += '<a style="color:#ddd;">删除</a>';
				else
				str += '<a href="javascript:void(0);" onclick="cloud_userdelete'+
					'(\''+r.user+'\')">删除</a>';
				
				
				if (trobj.eq(i+1).length > 0){
					tdobj = trobj.eq(i+1).find("td");
					
					tdobj.eq(0).html((i+1));
					tdobj.eq(1).html(r.user);
					tdobj.eq(2).html(r.logintime);
					tdobj.eq(3).html(r.loginip);
					tdobj.eq(4).html(r.grpname);
					tdobj.eq(5).html(r.ixc_grpnames);
					tdobj.eq(6).html(r.log_grpnames);
					tdobj.eq(7).html(r.intool_grpnames);
					tdobj.eq(8).html(r.remarks);
					tdobj.eq(9).html(str);
				}else{
					s = '<tr class="'+trbg+'"><td align="center">'+(i+1)+'</td>'+
						'<td align="left">'+r.user+'</td>'+
						'<td align="center">'+r.logintime+'</td>'+
						'<td align="center">'+r.loginip+'</td>'+
						'<td align="center">'+r.grpname+'</td>'+
						'<td align="center">'+r.ixc_grpnames+'</td>'+
						'<td align="center">'+r.log_grpnames+'</td>'+
						'<td align="center">'+r.intool_grpnames+'</td>'+
						'<td align="center">'+r.remarks+'</td>'+
						'<td align="center">'+str+'</td></tr>';
					$(s).appendTo(".product-user table");
				}
			}
			for (i = trlen-1; i >= len+1; i--) 
				trobj.eq(i).remove();
		}
	});
}

function cloud_userdelete(user)
{
	if (! confirm("确定要删除用户 "+user+" 吗"))
		return false;
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_userdelete', user: user},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else
				cloud_userlist();
		}
	})
}

function user_ixclist(render, ixc_grpids)
{
	var s = '';
	var ar = [];

	if (ixc_grpids != "" && ixc_grpids.indexOf(',') != -1)
		ar = ixc_grpids.split(',');
	if (ixc_grpids != "" && ixc_grpids.indexOf(',') == -1)
		ar.push(ixc_grpids);

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'ixcgrplist'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			$(render).html("");
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				fd = 0;
				for (j = 0; j < ar.length; j++) {
					if (ar[j] == r.id) {
						fd = 1;
						break;
					}
				}

				if (fd)	
					s += '<input type="checkbox" value="'+r.id+'" checked name="ixc-grp-unit" text="'+r.name+'">'+r.name;
				else
					s += '<input type="checkbox" value="'+r.id+'" name="ixc-grp-unit" text="'+r.name+'">'+r.name;
			}
			$(render).html(s);
		}
	})
}

function user_loglist(render, log_grpids)
{
	var s = '';
	var ar = [];

	if (log_grpids != "" && log_grpids.indexOf(',') != -1)
		ar = log_grpids.split(',');
	if (log_grpids != "" && log_grpids.indexOf(',') == -1)
		ar.push(log_grpids);

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'logsgrplist'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			$(render).html("");
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				fd = 0;
				for (j = 0; j < ar.length; j++) {
					if (ar[j] == r.id) {
						fd = 1;
						break;
					}
				}

				if (fd)	
					s += '<input type="checkbox" value="'+r.id+'" checked name="log-grp-unit" text="'+r.name+'">'+r.name;
				else
					s += '<input type="checkbox" value="'+r.id+'" name="log-grp-unit" text="'+r.name+'">'+r.name;
			}
			$(render).html(s);
		}
	})
}

function user_intoollist(render, intool_grpids)
{
	var s = '';
	var ar = [];

	if (intool_grpids != "" && intool_grpids.indexOf(',') != -1)
		ar = intool_grpids.split(',');
	if (intool_grpids != "" && intool_grpids.indexOf(',') == -1)
		ar.push(intool_grpids);

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'intoolgrplist'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			$(render).html("");
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				fd = 0;
				for (j = 0; j < ar.length; j++) {
					if (ar[j] == r.id) {
						fd = 1;
						break;
					}
				}

				if (fd)	
					s += '<input type="checkbox" value="'+r.id+'" checked name="intool-grp-unit" text="'+r.name+'">'+r.name;
				else
					s += '<input type="checkbox" value="'+r.id+'" name="intool-grp-unit" text="'+r.name+'">'+r.name;
			}
			$(render).html(s);
		}
	})
}

function cloud_useradd()
{
	var rpid = "useradd";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(550, 430, rpid);
	$("#report_pop_box_title_"+rpid).text("添加用户");
	
	var s = '<table style="margin-top:20px;">'+
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">用户名</td>'+
			'<td>'+
				'<input type="text" id="username" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+		
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">密码</td>'+
			'<td>'+
				'<input type="password" id="pass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>重复密码</td>'+
			'<td>'+
				'<input type="password" id="repass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>流控管理组</td>'+
			'<td id="user_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>缓存管理组</td>'+
			'<td id="ixc_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>日志管理组</td>'+
			'<td id="log_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>内网访问组</td>'+
			'<td id="intool_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>备注</td>'+
			'<td>'+
				'<input type="text" id="remarks" value="" class="input-text-border-radius" style="width:400px" />'+
			'</td>'+
		'</tr>'+
	'</table>';
	
	$(s).appendTo("#"+content_id);
	
	user_grplist('');
	user_ixclist("#ixc_grplist_td", "");
	user_loglist("#log_grplist_td", "");
	user_intoollist("#intool_grplist_td", "");
	
	$("#"+id+" .foot-ok").unbind("click");
	$("#"+id+" .foot-ok").click(function(){cloud_useradd_handle(id)});
}

function cloud_useradd_handle(outer)
{
	var user = $("#username").val();
	user = TrimAll(user);
	if (user == "") {
		alert("请输入正确的用户名");
		$("#username").focus();
		return false;
	}
	var pass = $("#pass").val();
	pass = TrimAll(pass);
	if (pass == "") {
		alert("请输入密码");
		$("#pass").focus();
		return false;
	}
	var repass = $("#repass").val();
	repass = TrimAll(repass);
	if (repass == "") {
		alert("请再次输入密码");
		$("#repass").focus();
		return false;
	}
	
	if (pass != repass) {
		alert("两次密码不一致，请重新输入密码");
		$("#pass, #repass").val("");
		$("#pass").focus();
		return false;
	}
	var remarks = $("#remarks").val();
	var grps = '', grpnames = '';
	var ixc_grpids, ixc_grpnames;
	var ar = [], ar2 = [];
	var ixc_ar = [], ixc_ar2 = [];
	$("[name='user-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			ar.push($(this).val());
			ar2.push($(this).attr("text"));
		}
	});
	grps = ar.join(',');
	grpnames = ar2.join(',');
	
	$("[name='ixc-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			ixc_ar.push($(this).val());
			ixc_ar2.push($(this).attr("text"));
		}
	});
	ixc_grpids = ixc_ar.join(',');
	ixc_grpnames = ixc_ar2.join(',');

	var log_ar = [], log_ar2 = [];
	var log_grpids = '', log_grpnames = '';
	$("[name='log-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			log_ar.push($(this).val());
			log_ar2.push($(this).attr("text"));
		}
	});
	log_grpids = log_ar.join(',');
	log_grpnames = log_ar2.join(',');

	var intool_ar = [], intool_ar2 = [];
	var intool_grpids = '', intool_grpnames = '';
	$("[name='intool-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			intool_ar.push($(this).val());
			intool_ar2.push($(this).attr("text"));
		}
	});
	intool_grpids = intool_ar.join(',');
	intool_grpnames = intool_ar2.join(',');

	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_useradd_handle', user: user,
			pass: pass, grps: grps, remarks: remarks,
			grpnames: grpnames, ixc_grpids: ixc_grpids, 
			ixc_grpnames: ixc_grpnames, log_grpids: log_grpids,
			log_grpnames: log_grpnames, intool_grpids:intool_grpids, 
			intool_grpnames:intool_grpnames},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				$("#"+outer).remove();
				cloud_userlist();
			}
		}
	});
}

function cloud_useredit(user, grp, grpname, remarks, ixc_grpids, ixc_grpnames, log_grpids, log_grpnames, intool_grpids, intool_grpnames)
{
	var rpid = "useradd";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(550, 430, rpid);
	$("#report_pop_box_title_"+rpid).text("编辑用户->"+user);
	
	var s = '<table style="margin-top:20px;">'+
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">用户名</td>'+
			'<td>'+
				'<input type="text" id="username" value="'+user+'" disabled class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+		
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">密码</td>'+
			'<td>'+
				'<input type="password" id="pass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>重复密码</td>'+
			'<td>'+
				'<input type="password" id="repass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>流控管理组</td>'+
			'<td id="user_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>缓存管理组</td>'+
			'<td id="ixc_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>日志管理组</td>'+
			'<td id="log_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>内网访问组</td>'+
			'<td id="intool_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>备注</td>'+
			'<td>'+
				'<input type="text" id="remarks" value="'+remarks+'" class="input-text-border-radius" style="width:400px" />'+
			'</td>'+
		'</tr>'+
	'</table>';
	
	$(s).appendTo("#"+content_id);
	
	user_grplist(grp);
	user_ixclist("#ixc_grplist_td", ixc_grpids);
	user_loglist("#log_grplist_td", log_grpids);
	user_intoollist("#intool_grplist_td", intool_grpids);
	
	$("#"+id+" .foot-ok").unbind("click");
	$("#"+id+" .foot-ok").click(function(){cloud_useredit_handle(id)});
}

function cloud_useredit_handle(outer)
{
	var user = $("#username").val();
	user = TrimAll(user);
	if (user == "") {
		alert("请输入正确的用户名");
		$("#username").focus();
		return false;
	}
	var pass = $("#pass").val();
	var repass = $("#repass").val();
	if (pass != "" && repass != "" && pass != repass) {
		alert("两次密码不一致，请重新输入密码");
		$("#pass, #repass").val("");
		$("#pass").focus();
		return false;
	}
	var remarks = $("#remarks").val();
	var grps = '', grpnames = '';
	var ixc_grpids, ixc_grpnames;
	var log_grpids, log_grpnames;
	var ar = [], ar2 = [];
	var ixc_ar = [], ixc_ar2 = [];
	var log_ar = [], log_ar2 = [];
	$("[name='user-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			ar.push($(this).val());
			ar2.push($(this).attr("text"));
		}
	});
	grps = ar.join(',');
	grpnames = ar2.join(',');
	
	$("[name='ixc-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			ixc_ar.push($(this).val());
			ixc_ar2.push($(this).attr("text"));
		}
	});
	ixc_grpids = ixc_ar.join(',');
	ixc_grpnames = ixc_ar2.join(',');

	$("[name='log-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			log_ar.push($(this).val());
			log_ar2.push($(this).attr("text"));
		}
	});
	log_grpids = log_ar.join(',');
	log_grpnames = log_ar2.join(',');

	var intool_ar = [], intool_ar2 = [];
	var intool_grpids = '', intool_grpnames = '';
	$("[name='intool-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			intool_ar.push($(this).val());
			intool_ar2.push($(this).attr("text"));
		}
	});
	intool_grpids = intool_ar.join(',');
	intool_grpnames = intool_ar2.join(',');

	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_useredit_handle', user: user,
			pass: pass, grps: grps, remarks: remarks,
			grpnames: grpnames, ixc_grpids: ixc_grpids, 
			ixc_grpnames: ixc_grpnames, log_grpids: log_grpids, 
			log_grpnames: log_grpnames, intool_grpids:intool_grpids, 
			intool_grpnames:intool_grpnames},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else 
			{
				showerror("操作成功");
				$("#"+outer).remove();
				cloud_userlist();
			}
		}
	});
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "cloud_user");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-bd-nav">
				<div style="float:left;">
					<div class="form-group">
						<input type="text" placeholder="请输入用户名进行模糊查询" id="cloudusr" size="48" class="form-group-text" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="cloud_userlist()" class="btn-default" />
					</div>
				</div>
				<div style="float:right;">
					<input type="button" value="添加用户" onclick="cloud_useradd()" class="btn-default" />
				</div>
				<div style="clear:both;"></div>
			</div>
			<div class="product-user">
				<table style="width:100%;" cellspacing=0 cellpadding=0>
					<tr>
						<th style="width:40px;" align="center">序号</th>
						<th align="left" width="110px"><a href="javascript:hd_sort('license_id12')">用户名</a></th>
						<th align="center" width="120px">登录时间</th>
						<th align="center" width="120px">登录地址</th>
						<th align="center">流控管理组</th>
						<th align="center">缓存组</th>
						<th align="center">日志组</th>
						<th align="center">内网访问组</th>
						<th align="center">备注</th>
						<th style="width:100px;" align="center">操作</th>
					</tr>
				</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
cloud_userlist();

cpumem();
setInterval(cpumem, 3000);

ixc_stat();
</script>
</body>
</html>
